Page MenuHomePhabricator

extension.json schema validation should ensure AutoloadNamespaces keys have trailing \
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Mar 7 2018, 5:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 5:29 PM
Legoktm claimed this task.May 20 2018, 7:10 PM

I got this working, but the validation error output is terrible...

[AutoloadNamespaces] The property MediaWiki\Linter is not defined and the definition does not allow additional properties

Better than nothing though.

Change 434206 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] registration: Validate AutoloadNamespaces keys have trailing \

https://gerrit.wikimedia.org/r/434206

Change 434206 merged by jenkins-bot:
[mediawiki/core@master] registration: Validate AutoloadNamespaces keys have trailing \

https://gerrit.wikimedia.org/r/434206

Legoktm closed this task as Resolved.Aug 2 2018, 3:11 AM